Send status

- « GearmanJob::sendFail

- GearmanJob::sendWarning »

- PHP Manual
- GearmanJob
- Send status

# GearmanJob::sendStatus

(PECL gearman >= 0.6.0)

GearmanJob::sendStatus — Send status

### Description

public GearmanJob::sendStatus(int `$numerator`, int `$denominator`): bool

Sends status information to the job server and any listening clients. Use this to specify what percentage of the job has been completed.

### Parameters

`numerator`

  The numerator of the precentage completed expressed as a fraction.

`denominator`

  The denominator of the precentage completed expressed as a fraction.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- GearmanClient::jobStatus() - Get the status of a background job
- GearmanTask::taskDenominator() - Get completion percentage denominator
- GearmanTask::taskNumerator() - Get completion percentage numerator